﻿$packageName = 'puppet-agent'
$url32       = 'https://release-archives.puppet.com/downloads/windows/puppet-agent-1.0.1-x86.msi'
$url64       = 'https://release-archives.puppet.com/downloads/windows/puppet-agent-1.0.1-x64.msi'
$checksum32  = 'c17777eb73ecfb0c2b5f41db21863484c0cec4788643c4919e19cb5a6419bd0c'
$checksum64  = 'fdcb6d11b5b7a3be0f4848c7cb804d2fe239d8d9fba28647e9ff269311766b65'


$packageArgs = @{
  packageName    = $packageName
  fileType       = 'MSI'
  url            = $url32
  url64bit       = $url64
  checksum       = $checksum32
  checksum64     = $checksum64
  checksumType   = 'sha256'
  checksumType64 = 'sha256'
  silentArgs     = "/qn /norestart"
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
